Bug 1259661 - SELinux is preventing /usr/bin/pkla-check-authorization from using the 'rlimitinh' accesses on a process.
SELinux is preventing /usr/bin/pkla-check-authorization from using the 'rlimi...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e34875941e99ae32c4e214c52be...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 05:59 EDT by Petr Lautrbach
Modified: 2015-09-11 07:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-11 07:18:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Lautrbach 2015-09-03 05:59:18 EDT
Description of problem:
SELinux is preventing /usr/bin/pkla-check-authorization from using the 'rlimitinh' accesses on a process.

*****  Plugin restorecon_source (99.5 confidence) suggests   *****************

If you want to fix the label. 
/usr/bin/pkla-check-authorization default label should be policykit_auth_exec_t.
Then you can run restorecon.
Do
# /sbin/restorecon -v /usr/bin/pkla-check-authorization

*****  Plugin catchall (1.49 confidence) suggests   **************************

If you believe that pkla-check-authorization should be allowed rlimitinh access on processes labeled policykit_auth_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep pkla-check-auth /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:policykit_t:s0
Target Context                system_u:system_r:policykit_auth_t:s0
Target Objects                /usr/bin/pkla-check-authorization [ process ]
Source                        pkla-check-auth
Source Path                   /usr/bin/pkla-check-authorization
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           polkit-pkla-compat-0.1-6.fc23.x86_64
Target RPM Packages           polkit-pkla-compat-0.1-6.fc23.x86_64
Policy RPM                    selinux-policy-3.13.1-144.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.0-1.fc24.x86_64 #1 SMP Mon Aug
                              31 15:58:25 UTC 2015 x86_64 x86_64
Alert Count                   1225
First Seen                    2015-09-02 08:18:28 CEST
Last Seen                     2015-09-03 11:56:55 CEST
Local ID                      01e4277f-caba-4d7d-9de5-789860f43d44

Raw Audit Messages
type=AVC msg=audit(1441274215.425:3265): avc:  denied  { rlimitinh } for  pid=5751 comm="pkla-check-auth" scontext=system_u:system_r:policykit_t:s0 tcontext=system_u:system_r:policykit_auth_t:s0 tclass=process permissive=0


type=AVC msg=audit(1441274215.425:3265): avc:  denied  { siginh } for  pid=5751 comm="pkla-check-auth" scontext=system_u:system_r:policykit_t:s0 tcontext=system_u:system_r:policykit_auth_t:s0 tclass=process permissive=0


type=AVC msg=audit(1441274215.425:3265): avc:  denied  { noatsecure } for  pid=5751 comm="pkla-check-auth" scontext=system_u:system_r:policykit_t:s0 tcontext=system_u:system_r:policykit_auth_t:s0 tclass=process permissive=0


type=SYSCALL msg=audit(1441274215.425:3265): arch=x86_64 syscall=execve success=yes exit=0 a0=556972c43050 a1=556972c42fe0 a2=7ffe8b204c60 a3=c0e0 items=2 ppid=1298 pid=5751 auid=4294967295 uid=999 gid=999 euid=999 suid=999 fsuid=999 egid=999 sgid=999 fsgid=999 tty=(none) ses=4294967295 comm=pkla-check-auth exe=/usr/bin/pkla-check-authorization subj=system_u:system_r:policykit_auth_t:s0 key=(null)

type=CWD msg=audit(1441274215.425:3265): cwd=/

type=PATH msg=audit(1441274215.425:3265): item=0 name=/usr/bin/pkla-check-authorization inode=3027816 dev=fd:02 mode=0100755 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:policykit_auth_exec_t:s0 nametype=NORMAL

type=PATH msg=audit(1441274215.425:3265): item=1 name=/lib64/ld-linux-x86-64.so.2 inode=3018702 dev=fd:02 mode=0100755 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:ld_so_t:s0 nametype=NORMAL

Hash: pkla-check-auth,policykit_t,policykit_auth_t,process,rlimitinh

Version-Release number of selected component:
selinux-policy-3.13.1-144.fc23.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.0-1.fc24.x86_64
type:           libreport

Potential duplicate: bug 984456
Comment 1 Miroslav Grepl 2015-09-11 06:24:22 EDT
Just to be sure, did you turn dontaudit rules off?

#============= policykit_t ==============

#!!!! This avc has a dontaudit rule in the current policy
allow policykit_t policykit_auth_t:process { noatsecure siginh rlimitinh };
Comment 2 Petr Lautrbach 2015-09-11 07:18:29 EDT
Probably yes, sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.